[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ManualFloat

ManualFloat - the opposite of ManualDock, allows operator to Float a control

## Declaration

Source position: controls.pp line 1210

`public function TControl.ManualFloat(`
`TheScreenRect: TRect;`
`KeepDockSiteSize: Boolean = true`
`):Boolean; virtual;`

## Arguments

`TheScreenRect` |  | The rectangle within which the floating control is located

## Function result

The function returns True if a manual float has been succesfully performed

## Description

    function TControl.ManualFloat(TheScreenRect: TRect;
        KeepDockSiteSize: Boolean = true): Boolean;

      Undock and float.
      Float means here: create the floating dock site and dock this control into it.
      Exception: Forms do not need float dock sites and float on their own.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.